#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(256, 2, NEO_GRB + NEO_KHZ800);

void setup() {
  leds.begin(); 
  leds.setBrightness(5);
  leds.show(); 
}
void loop() {
  uint32_t rouge = leds.Color(255, 0, 0);
  uint32_t magenta = leds.Color(255, 0, 255);
  uint32_t vert = leds.Color(0, 255, 0);
  uint32_t bleu = leds.Color(0, 0, 255);
  tourne3(rouge, 80);
  tourne3(magenta, 80);
  tourne3(vert, 80);  
  tourne3(bleu, 80);   
}
void tourne3(uint32_t couleur, uint8_t temp) {
    for (int q=0; q<8; q++) { 
      for (uint16_t i=0; i <= 255; i=i+8) { 
        leds.setPixelColor(i+q, couleur);    
      }
      leds.show();
      delay(temp);
      for (uint16_t i=0; i <= 255; i=i+8) {
      leds.setPixelColor(i+q, 0);        
     }
    }
}

